kpinkham

Phone HD requires Icon software version 2.8.1 or higher Icon software

Discussion created by kpinkham Employee on Jan 11, 2016

With the imminent release of Phone HD I thought it would be helpful to post a reminder that it is supported on Icon 400, 600, and 800 models that are running software version 2.8.1 or higher.

 

 

https://www.lifesize.com/en/products/video-conferencing-accessories/phones/phone-hd

Outcomes